Webhooks
GET /v1/webhooks
GET /v1/webhooks
Scope: webhooks:write
Responses
| Status | Description |
|---|---|
200 | The organization's endpoints. |
curl "https://api.jodaprint.dev/v1/webhooks" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"
POST /v1/webhooks
POST /v1/webhooks
Scope: webhooks:write
Request body
| Field | Type | Required | Description |
|---|---|---|---|
url | string | yes | |
events | "job.queued" | "job.printed" | "job.failed" | "job.cancelled" | "printer.online" | "printer.offline" | "printer.paper_out" | "printer.error" | "device.online" | "device.offline" | "device.activated" | "alert.opened" | "alert.resolved"[] | yes | |
description | string |
Responses
| Status | Description |
|---|---|
201 | The endpoint and its signing secret (shown once). |
Fields of the 201 response:
| Field | Type | Required | Description |
|---|---|---|---|
webhook | object | yes | |
secret | string | yes | Shown only now: store it to verify signatures |
curl -X POST "https://api.jodaprint.dev/v1/webhooks" \
-H "Authorization: Bearer $JODAPRINT_API_KEY" \
-H "Content-Type: application/json"
DELETE /v1/webhooks/{id}
DELETE /v1/webhooks/{id}
Scope: webhooks:write
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Responses
| Status | Description |
|---|---|
200 |
curl -X DELETE "https://api.jodaprint.dev/v1/webhooks/<id>" \
-H "Authorization: Bearer $JODAPRINT_API_KEY"